import { ElementRef, ChangeDetectorRef, QueryList, OnInit, SimpleChanges, OnChanges, EventEmitter, OnDestroy } from "@angular/core";
import { Http } from "@angular/http";
import { ImageService } from "../services/image.service";
export declare class GalleryComponent implements OnInit, OnDestroy, OnChanges {
    private ImageService;
    private http;
    private ChangeDetectorRef;
    providedImageMargin: number;
    providedImageSize: number;
    providedGalleryName: string;
    viewerChange: EventEmitter<boolean>;
    galleryContainer: ElementRef;
    imageElements: QueryList<any>;
    triggerCycle(event: any): void;
    windowResize(event: any): void;
    private imageDataStaticPath;
    private imageDataCompletePath;
    private dataFileName;
    private images;
    private gallery;
    private minimalQualityCategory;
    private viewerSubscription;
    constructor(ImageService: ImageService, http: Http, ChangeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    openImageViewer(img: any): void;
    private fetchDataAndRender();
    private render();
    private shouldAddCandidate(imgRow, candidate);
    private calcRowHeight(imgRow);
    private calcImageMargin();
    private calcOriginalRowWidth(imgRow);
    private calcIdealHeight();
    private getGalleryWidth();
    private scaleGallery();
    private checkForAsyncLoading(image, imageCounter);
    private isScrolledIntoView(element);
}
